Closed Bug 954237 Opened 8 years ago Closed 8 years ago

Protocol icons are the wrong size in buddy chooser.

Categories

(Instantbird :: Conversation, defect)

x86
Windows 7
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: florian)

Details

(Whiteboard: [0.3-blocking-final])

Attachments

(1 file)

*** Original post on bio 803 at 2011-05-26 02:43:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Attached image Different size icons
*** Original post on bio 803 as attmnt 656 at 2011-05-26 02:43:00 UTC ***

The new buddy chooser in the conversation has a drop down list with protocol icons, but the icons are stretched to a larger size than they should be, see attached screenshot.

The icon size isn't so much an issue as the icons are being stretched and pixelated.
Whiteboard: [0.3-blocking-final]
*** Original post on bio 803 at 2011-05-26 14:19:55 UTC ***

This was only tried on Windows 7, not sure why I flipped that to All, All.
OS: All → Windows 7
Hardware: All → x86
*** Original post on bio 803 at 2011-05-29 08:56:17 UTC ***

I haven't fixed this yet but I think the underlying problem is this: 

"The position of a child element may be specified by placing two attributes on the element. For the horizontal position, use the left attribute and for the vertical position, use the top attribute. If you don't put these attributes on a child of a stack, the child will stretch to fit the size of the stack."

See https://developer.mozilla.org/en/XUL_Tutorial/Stack_Positioning
Assignee: nobody → benediktp
*** Original post on bio 803 at 2011-05-29 16:32:52 UTC ***

See also: https://developer.mozilla.org/en/CSS/-moz-stack-sizing

By the way, forcing the stack to have the expected size may also help :).
Status: NEW → ASSIGNED
*** Original post on bio 803 at 2011-06-16 21:58:12 UTC ***

I can reproduce this neither on Mac, nor on XP.
*** Original post on bio 803 at 2011-06-17 17:37:07 UTC ***

https://hg.instantbird.org/instantbird/rev/76034684cfc1
Assignee: benediktp → florian
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.0
You need to log in before you can comment on or make changes to this bug.